]> pd.if.org Git - zpackage/blobdiff - zpm-install
change chown to lchown
[zpackage] / zpm-install
index edd84050a5d2eee8f05d08a3b7e89bf17a86f56e..64b064bf7170d90e4b85f9e12b53374f41a82946 100755 (executable)
@@ -6,7 +6,7 @@ warn() {
 
 die() {
        echo $* 1>&2
-       zpm log -i -a 'aborting install' -p "$pkgid" "$*"
+       zpm log -i -a 'aborting install' -t "$pkgid" "$*"
        exit 1
 }
 
@@ -164,7 +164,7 @@ for pkgstr in "$@"; do
        if [ $runscripts -gt 0 ]; then
                # TODO run pre-upgrade script if needed
                # zpm runscript -p pre-upgrade $current $pkgid
-               zpm runscript -f $pkgfile -p pre-install $pkgid $current
+               zpm script -f $pkgfile -p pre-install $pkgid $current
                if [ $? -ne 0 ]; then
                        die "pre-install script for $pkgid failed"
                fi
@@ -209,7 +209,7 @@ for pkgstr in "$@"; do
        fi
 
        if [ $runscripts -gt 0 ]; then
-               zpm runscript -f $pkgfile -p post-install $pkgid $current
+               zpm script -f $pkgfile -p post-install $pkgid $current
        fi
 
        if [ -n "$current" ]; then
@@ -233,6 +233,8 @@ for pkgstr in "$@"; do
        # TODO skip configure if not on a terminal, regardless of settings
        # TODO will need force option
        if [ $runconfigure -gt 0 ]; then
-               zpm runscript -f $pkgfile -p configure $pkgid $current
+               zpm script -f $pkgfile -p configure $pkgid $current
+       else
+               true
        fi
 done